Introduction

OpenERP 6.0 requires Python 2.6 and Postgres 8.4. This document describes how to install these on an Ubuntu 10.10 server (aka. Maverick Meerkat).

These instructions should be run as root – using sudo or similar.

Install and configure Postgresql 8.4

  1. Install Postgres. These instructions mostly come from this document: http://doc.openerp.com/install/linux/postgres/index.html
    apt-get install postgresql
    apt-get install postgresql-server
    apt-get install postgresql-client
  2. Allow remote PgAdmin clients access to the database: edit /etc/postgresql/8.4/main/postgresql.conf and add this line:
    listen_addresses = '*'

    You could tighten this address range for better security.

  3. Set the logging level. To tell Postgres to log all SQL activity (i.e. to see all the SELECT’s, UPDATES, DELETEs and INSERT statements), edit /etc/postgresql/8.4/main/postgresql.confand add this line:
    log_statement = 'all'
  4. Allow openerp-server to connect to postgresql: edit /etc/postgresql/8.4/main/pg_hba.conf. Modify lines as indicated below:
    # TYPE  DATABASE    USER        CIDR-ADDRESS          METHOD
    
    # "local" is for Unix domain socket connections only
    # MODIFY THE EXISTING LINE TO LOOK LIKE THIS:
    local   all         all                               trust
    # IPv4 local connections:
    # MODIFY THE EXISTING LINE TO LOOK LIKE THIS:
    host    all         all         127.0.0.1/32          trust
    # ADD THIS LINE TO ALLOW REMOTE ACCESS; use your own IP address range:
    host    all         all         10.10.10.0/24        trust
    # IPv6 local connections:
    host    all         all         ::1/128               ident

    You could tighten this address range and methods for better security.

  5. Retart Postgres
    service postgresql restart

Install and configure the OpenERP Server

  1. Add an openerp user under which the openerp server can be run:
    adduser openerp
  2. Set up a postgres user:
    su - postgres
    createuser --createdb --no-createrole --pwprompt openerp
    Enter password for new role: .....
    Enter it again: .....
    Shall the new role be a superuser? (y/n) y
  3. Install the Python dependencies needed by OpenERP:
    apt-get install python python-psycopg2 python-reportlab \
         python-egenix-mxdatetime python-tz python-pychart \
         python-pydot python-lxml python-vobject python-setuptools
    easy_install PyYaml
    apt-get install python-mako
    apt-get install python-yaml

    The version numbers that got installed when I did this on 24 January 2011 were as follows; I’ve recorded these version numbers here because I found that OpenERP 6 does not work very well on Centos 5.5 and I suspect it is because some of the Centos Python packages are not up to the same version numbers as these ones, so if it’s any help to anybody installing on Centos 5.5, here’s version numbers you may need:

    Package Version
    python 2.6
    python-psycopg2 2.2.1
    python-reportlab 2.4-3
    python-egenix-mxdatetime
    python-tz 2010b-1
    python-pychart 1.39-7
    python-pydot 1.0.2-1
    python-lxml 2.2.6.1
    python-vobject 0.8.1c-3
    python-setuptools 0.6.14-3
    PyYaml 3.09-py2.6
    python-mako 0.3.4-2
    python-yaml 3.09-4
    python-dev 2.6.6
  4. Install the OpenERP Server from http://www.openerp.com/download/stable/deb/openerp-server_6.0.1-0_all.deb. This step is NOT RECOMMENDED – I’ve included this step to show what I did, but I recommend you skip this step. After downloading the package, I installed it using
    dpkg -i openerp-server_6.0.1-0_all.deb

    however, I got the following dependency errors:

    Selecting previously deselected package openerp-server.
    (Reading database ... 25179 files and directories currently installed.)
    Unpacking openerp-server (from openerp-server_6.0.1-0_all.deb) ...
    dpkg: dependency problems prevent configuration of openerp-server:
     openerp-server depends on python-libxslt1; however:
      Package python-libxslt1 is not installed.
     openerp-server depends on python-yaml; however:
      Package python-yaml is not installed.
     openerp-server depends on python-mako; however:
      Package python-mako is not installed.
    dpkg: error processing openerp-server (--install):
     dependency problems - leaving unconfigured
    Processing triggers for ureadahead ...
    Processing triggers for man-db ...
    Errors were encountered while processing:
     openerp-server

    so I removed the package using:

    dpkg -r openerp-server
  5. Install the OpenERP Server: download the package from http://www.openerp.com/download/stable/source/openerp-server-6.0.1.tar.gz then unzip it using
    tar xvf openerp-server-6.0.1.tar.gz

    then install it using

    cd openerp-server-6.0.1
    python setup.py install

Configure OpenERP Server as service

The OpenERP Server is now ready to run, and it can be run using these commands:

sudo -u openerp openerp-server

However, you will probably want the server to be started automatically at boot time, so install it as a service:

  1. Create a new fie, /etc/init.d/openerp-server with these contents. This script should work on Ubuntu and Centos. If you are on Ubuntu or Debian and have start-stop-daemon available, you can get a better script here.
    #!/bin/sh
    
    #
    # OpenERP init script v0.1 for centos by Open-Future
    # Bert Deferme - www.open-future.be - bert@open-future.be
    #
    
    # This program is free software; you can redistribute it and/or modify
    # it under the terms of the GNU General Public License version 3 as
    # published by the Free Software Foundation.
    #
    # For a copy of the GNU General Public License, see <http://www.gnu.org/licenses/>.
    
    # chkconfig: 345 60 61
    # description: starts the openerp-server service
    
    NAME=openerp-server
    USER=openerp
    
    PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
    PIDDIR=/var/run/openerp
    PIDFILE=$PIDDIR/$NAME.pid
    DAEMON=/usr/local/bin/openerp-server
    DAEMONOPTS="--pidfile=${PIDFILE}"
    
    checkpid() {
      [ -f $PIDFILE ] || return 1
      pid=`cat $PIDFILE`
      [ -d /proc/$pid ] && return 0
      return 1
    }
    
    do_start() {
    
      if [ -f $PIDFILE ]; then
        echo "pidfile already exists: $PIDFILE"
        exit 1
      fi
    
      echo -n "Starting $NAME: "
    
      if [ ! -d $PIDDIR ]
      then
          mkdir $PIDDIR
          chown $USER $PIDDIR
      fi
    
      su - $USER -c "nohup $DAEMON $DAEMONOPTS >/dev/null 2>&1 &"
    
      sleep 3
    
      checkpid
    
      if [ $? -eq 1 ]; then
        rm -f $PIDFILE
        echo "failed."
        exit 1
      fi
    
      echo "done."
    }
    
    do_stop() {
    
      checkpid
    
      if [ $? -eq 1 ]; then
        echo -n "$NAME not running... (no pidfile found)"
        exit 0
      fi
    
      echo -n "Stopping $NAME: "
    
      pid=`cat $PIDFILE`
      kill -15 $pid
    
      sleep 2
    
      if [ $? -eq 1 ]; then
        echo "Failed. (pidfile found but process didn't exist)"
        exit 1
      fi
    
      echo "done."
    
    }
    
    do_status() {
    
      echo -n "Checking $NAME: "
    
      checkpid
    
      if [ $? -eq 1 ]; then
        echo "stopped."
      else
        echo "running."
      fi
    
    }
    
    do_restart() {
    
      do_stop
    
      if [ $? -eq 1 ]; then
        exit 1
      fi
    
      do_start
    
    }
    
    case "$1" in
        start) do_start ;;
        stop) do_stop ;;
        restart|force-reload) do_restart ;;
        status) do_status ;;
        *)
            N=/etc/init.d/$NAME
            echo "Usage: $N {start|stop|restart|status}" >&2
            exit 1
            ;;
    esac
    
    exit 0
  2. Make the file executable.
    chmod a+x /etc/init.d/openerp-server
  3. DON’T DO THIS STEP: it wrongly rewrites the order of the filenaming in the /etc/rc?.d directories: Configure openerp-server to start on boot.
    apt-get install chkconfig
    cd /etc/init.d
    chkconfig --add openerp-server
    chkconfig --levels 2345 openerp-server on
  4. Link from /etc/init.d/openerp-server to /etc/rc*.d (this is instead of the previous step):
    ln -s /etc/init.d/openerp-server /etc/rc0.d/K83openerp-server
    ln -s /etc/init.d/openerp-server /etc/rc1.d/S83openerp-server
    ln -s /etc/init.d/openerp-server /etc/rc2.d/S83openerp-server
    ln -s /etc/init.d/openerp-server /etc/rc3.d/S83openerp-server
    ln -s /etc/init.d/openerp-server /etc/rc4.d/S83openerp-server
    ln -s /etc/init.d/openerp-server /etc/rc5.d/S83openerp-server
    ln -s /etc/init.d/openerp-server /etc/rc6.d/K83openerp-server
  5. Make sure the log file is writable by openerp.
    touch /var/log/openerp-server.log
    chown openerp /var/log/openerp-server.log
  6. Create a config file. If the user you created as part of the installation was openerp, then create ~openerp/.openerp_serverrc with these contents:
    [options]
    debug_mode =  True
    logfile =  /var/log/openerp-server.log
    log_level =  debug_rpc_answer
    #############################################
    # Uncomment the options that you want to override:
    # email_from = False
    # xmlrpc_interface =  ''    # this will bind the server to all interfaces
    # xmlrpc_port =  8069
    # netrpc_interface =  ''
    # netrpc_port =  8070
    # xmlrpcs_interface =  ''    # this will bind the server to all interfaces
    # xmlrpcs_port =  8071
    # db_host =  False
    # db_port =  False
    # db_name =  False
    # db_user =  False
    # db_password =  False
    # db_maxconn =  64
    # reportgz =  False
    # netrpc =  True
    # xmlrpc =  True
    # xmlrpcs =  True
    # translate_in =  None
    # translate_out =  None
    # overwrite_existing_translations =  False
    # load_language =  None
    # language =  None
    # pg_path =  None
    # admin_passwd =  'admin'
    # csv_internal_sep =  ','
    # addons_path =  None
    # root_path =  None
    # debug_mode =  False
    # import_partial =  ""
    # pidfile =  None
    # logfile =  None
    # logrotate =  True
    # smtp_server =  'localhost'
    # smtp_user =  False
    # smtp_port = 25
    # smtp_ssl = False
    # smtp_password =  False
    # stop_after_init =  False   # this will stop the server after initialization
    # syslog = False
    # log_level =  INFO
    # Options for log-level are: ['info', 'debug_rpc', 'warn', 'critical', 'error', 'debug', 'notset', 'debug_rpc', 'debug_rpc_answer']
    # debug_rpc_answer seems to be the highest level.
    # assert_exit_level =  ERROR # level above which a failed assert will be raised
    # cache_timeout =  100000
    # login_message =  False
    # list_db = True
    # timezone = False # to override the default TZ
    # test_file = False
    # test_report_directory = False
    # test_disable = False
    # test_commit = False
    # static_http_enable =  False
    # static_http_document_root =  None
    # static_http_url_prefix =  None
    # secure_cert_file =  'server.cert'
    # secure_pkey_file =  'server.pkey'
    # publisher_warranty_url =  'http://services.openerp.com/publisher-warranty/'
    #############################################
  7. If you were running these commands as root, change the ownership to openerp:
    chown openerp:openerp ~openerp/.openerp_serverrc
  8. Start the OpenERP server:
    service openerp-server start

Install and configure the OpenERP Web Client

The Web client is actually a server-side component, not a client-side component that needs to be installed on each client PC.

  1. Install these packages:
    apt-get install python-dev build-essential
  2. Download and install the web client from http://www.openerp.com/download/stable/source/openerp-web-6.0.1.tar.gz
    tar xvf openerp-web-6.0.1.tar.gz
    cd openerp-web
    python setup.py install
  3. Copy /usr/local/lib/python2.6/dist-packages/openerp_web-6.0.1-py2.6.egg/doc/openerp-web.cfg to /etc/openerp-web.cfg and edit it so that it looks something like this:
    [global]
    server.environment = "development"
    
    # Some server parameters that you may want to tweak
    server.socket_host = "0.0.0.0"
    # server.socket_host = "127.0.0.1"
    server.socket_port = 8080
    
    # Sets the number of threads the server uses
    server.thread_pool = 10
    
    tools.sessions.on = True
    
    # Simple code profiling
    server.profile_on = False
    server.profile_dir = "profile"
    
    # if this is part of a larger site, you can set the path
    # to the TurboGears instance here
    #server.webpath = ""
    
    # Set to True if you are deploying your App behind a proxy
    # e.g. Apache using mod_proxy
    #tools.proxy.on = True
    
    # If your proxy does not add the X-Forwarded-Host header, set
    # the following to the *public* host url.
    #tools.proxy.base = 'http://example.com'
    
    # logging
    log.access_file = "/var/log/openerp-web/access.log"
    log.error_file = "/var/log/openerp-web/error.log"
    
    # OpenERP tools
    tools.nestedvars.on = True
    
    # OpenERP Server
    openerp.server.host = 'localhost'
    openerp.server.port = '8070'
    openerp.server.protocol = 'socket'
    openerp.server.timeout = 450
    
    # Web client settings
    [openerp-web]
    # filter dblists based on url pattern?
    # NONE: No Filter
    # EXACT: Exact Hostname
    # UNDERSCORE: Hostname_
    # BOTH: Exact Hostname or Hostname_
    
    dblist.filter = 'NONE'
    
    # whether to show Databases button on Login screen or not
    dbbutton.visible = True
    
    # will be applied on company logo
    company.url = 'http://www.example.com/your_logo.jpg'
  4. SKIP THIS STEP: It is no longer needed as I fixed a bug in the /etc/init.d/openerp-web script, of which the latest version is below.
    Make sure the log directory /var/log/openerp-web exists and is owned by openerp.

    mkdir /var/log/openerp-web
    chown openerp /var/log/openerp-web
  5. Create the openerp-web startup file, /etc/init.d/openerp-web, with these contents. This script should work on Ubuntu and Centos. If you are on Ubuntu or Debian and have start-stop-daemon available, you can get a better script here.
    #!/bin/sh
    #
    # OpenERP init script v0.2 for Centos and Ubuntu by Open-Future
    # Bert Deferme - www.open-future.be - bert@open-future.be
    # Philip Uren - www.mbase.com.au - philu A-t ieee.org
    #
    # This program is free software; you can redistribute it and/or modify
    # it under the terms of the GNU General Public License version 3 as
    # published by the Free Software Foundation.
    #
    # For a copy of the GNU General Public License, see <http://www.gnu.org/licenses/>.
    # chkconfig: 345 61 60
    # description: runs the openerp-web service
    ###################################################################################
    
    NAME=openerp-web
    USER=openerp
    
    PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin
    DAEMON=/usr/local/bin/openerp-web
    PIDDIR=/var/run/openerp
    PIDFILE=$PIDDIR/$NAME.pid
    DAEMONOPTS="-c /etc/openerp-web.cfg"
    
    checkpid() {
      [ -s $PIDFILE ] || return 1
      pid=`cat $PIDFILE`
      [ -z "$pid" ] && return 1
      [ -d /proc/$pid ] && return 0
      return 1
    }
    
    do_start() {
    
      if [ -f $PIDFILE ]; then
        echo "pidfile already exists: $PIDFILE"
        exit 1
      fi
    
      echo -n "Starting $NAME: "
    
      if [ ! -d $PIDDIR ]
      then
          mkdir $PIDDIR
          chown $USER $PIDDIR
      fi
    
      su - $USER -c "nohup $DAEMON $DAEMONOPTS >/dev/null 2>&1 &"
    
      sleep 2
    
      # This next line, in particular the use of the cut command, doesn't work on Ubuntu 10.10
      # because it treats a single space as a delimiter, not a series of spaces.
      # pid=`ps -ef|grep openerp-web|grep -v grep|cut -d " " -f3`
      ps -ef | grep openerp-web | grep python | grep -v grep | awk '{print $2}' > $PIDFILE  
    
      checkpid
      if [ $? -eq 1 ]; then
        rm -f $PIDFILE
        echo "failed."
        exit 1
      fi
    
      echo "done."
    }
    
    do_stop() {
    
      checkpid
      if [ $? -eq 1 ]; then
        echo -n "$NAME not running... (no pidfile found)"
        exit 0
      fi
    
      echo -n "Stopping $NAME: "
    
      pid=`cat $PIDFILE`
      kill -15 $pid
    
      sleep 2
    
      if [ $? -eq 1 ]; then
        echo "Failed. (pidfile found but process didn't exist)"
        exit 1
      fi
    
      rm $PIDFILE
    
      echo "done."
    
    }
    
    do_status() {
    
      echo -n "Checking $NAME: "
    
      checkpid
      if [ $? -eq 1 ]; then
        echo "stopped."
      else
        echo "running."
      fi
    
    }
    
    do_restart() {
    
      do_stop
    
      if [ $? -eq 1 ]; then
        exit 1
      fi
    
      do_start
    
    }
    
    case "$1" in
        start) do_start ;;
        stop) do_stop ;;
        restart|force-reload) do_restart ;;
        status) do_status ;;
        *)
            N=/etc/init.d/$NAME
            echo "Usage: $N {start|stop|restart|status}" >&2
            exit 1
            ;;
    esac
    
    exit 0
  6. Make openerp-web executable:
    chmod a+x /etc/init.d/openerp-web
  7. DON’T DO THIS STEP: it wrongly rewrites the order of the filenaming in the /etc/rc?.d directories: Configure openerp-web to start on boot.
    chkconfig --add openerp-web
    chkconfig --levels 235 openerp-web on
  8. Link from /etc/init.d/openerp-server to /etc/rc*.d (this is instead of the previous step):
    ln -s /etc/init.d/openerp-web /etc/rc0.d/K82openerp-web
    ln -s /etc/init.d/openerp-web /etc/rc1.d/S84openerp-web
    ln -s /etc/init.d/openerp-web /etc/rc2.d/S84openerp-web
    ln -s /etc/init.d/openerp-web /etc/rc3.d/S84openerp-web
    ln -s /etc/init.d/openerp-web /etc/rc4.d/S84openerp-web
    ln -s /etc/init.d/openerp-web /etc/rc5.d/S84openerp-web
    ln -s /etc/init.d/openerp-web /etc/rc6.d/K82openerp-web
  9. Start the OpenERP web client:
    service openerp-web start

Install your Windows Client

  1. Download and install the Windows GTK Client from http://www.openerp.com/download/stable/source/openerp-client-6.0.1.tar.gz, or your preferred client from http://www.openerp.com/downloads. Run it; hit the Change button and point it to your server; hit the Cancel button on the login window, then go to File / Databases / New Database and create a new database and install modules and proceed to use the system.

Run OpenERP from a Web Client

  1. In your browser, go to http://example.com:8080, select your database, log in and proceed to use the system.

See Also

Here are some related references that may be helpful:

Tags : | add comments

Where are OpenERP configuration files?

Posted by root on Monday Jan 28, 2013 Under Linux

OpenERP configuration files on Centos 5.5

/etc/openerp-web.cfg
/etc/init.d/openerp-web
/etc/init.d/openerp-server
~openerp/.openerp_serverrc – for the OpenERP Server
~/.openerp_serverrc – if running an OpenERP Server inside Eclipse from your own userid
/usr/lib/python2.4/site-packages/openerp-server/tools/config.py – for default values if no config file

OpenERP 6 configuration files on Ubuntu 10.10

/etc/openerp-web.cfg
/etc/init.d/openerp-web
/etc/init.d/openerp-server
~openerp/.openerp_serverrc – for the OpenERP Server
~/.openerp_serverrc – if running an OpenERP Server inside Eclipse from your own userid
/usr/local/lib/python2.6/dist-packages/openerp-server/tools/config.py – for default values if no config file

OpenERP configuration files on Windows

C:\Program Files (x86)\OpenERP AllInOne\Server\openerp-server.conf
C:\Users\<Your login>\.openerprc

Postgres configuration files on Centos 5.5

/var/lib/pgsql/data/postgresql.conf
/var/lib/pgsql/data/pg_hba.conf

Postgres configuration files on Ubuntu 10.10

/etc/postgresql/8.4/main/pg_hba.conf
/etc/postgresql/8.4/main/postgresql.conf

Postgres configuration files on Windows

C:\Program Files (x86)\OpenERP AllInOne\PostgreSQL\data\postgresql.conf
C:\Program Files (x86)\OpenERP AllInOne\PostgreSQL\data\pg_hba.conf
C:\Program Files (x86)\OpenERP AllInOne\PostgreSQL\data\pg_indent.conf

Tags : | add comments

Install IRCd (server) in *Unix

Posted by root on Monday Jan 28, 2013 Under IRC, Linux

Unreal IRCd is an IRC chat server that you can run off a vps.

Remember, EVERYTHING is case sesitive. Meaning you can’t type tar zxvf unreal… you have to type tar zxvf Unreal…..

To start this login to your VPS with root credentials and update your vps by typing
Code:

yum update

Next we need to download gcc to compile the IRCd source, to do this type
Code:

yum install gcc

Then download UnrealIRCd by typing
Code:

wget http://www.unrealircd.com/downloads/Unreal3.2.8.1.tar.gz

After downloading this you need to unpack it. To do this type
Code:

tar zxvf Unreal3.2.8.1

Now we need to go to the Unreal3.2 directory, so type
Code:

cd Unreal3.2

Next we need to configure unreal so we type
Code:

./Config

You can read the TOS or w/e and then go through the config.

Now you need to compile this, so type
Code:

make

Next we need to configure the god pass and all of the options.
Type
Code:

nano unrealircd.conf

Go through all of this changing what you want.
after that hit control + o which is write out (or save) then hit control + x which is exit.

Now we need to start Unreal, type
Code:

./unreal start

From: http://packetpunks.com/Thread-How-to-setup-Unreal-IRCd-on-CentOS

Tags : , , , | add comments

Fix Joomla Permissions

Posted by root on Monday Jan 28, 2013 Under Linux

Fixing joomla permissions is as easy as running two commands:

find /path/to/joomla/root/ -type d -exec chmod 755 {} \;

find /path/to/joomla/root/ -type f -exec chmod 644 {} \;

Replace the path “/path/to/joomla/root/” with the path to your website’s Joomla! root. It is OK to simply use the relative path.

The first line will change the permissions for all folders to 755 and the second one will change the permissions of all files to 644.

Tags : , , , , | add comments

Install Screen on CentOS

Posted by root on Monday Jan 28, 2013 Under Uncategorized

You can check if screen binary already exist by using below command :

root@CentOS5Server [~]# which screen
/usr/bin/screen
root@CentOS5Server [~]#

If it is already available you are good to go and can move on next step of utilizing this binary/utility.

If its not installed on your machine then you can install it using simple yum command on CentOS , RHEL or any RHEL family distros. You can do it as follows :

yum install screen

 

Now we can learn how to use the screen command :

Utilizing the screen command :

You can create a simple screen process by just typing the command ‘screen‘ and it will create a screen for you and move the control inside the screen session. Usually its recommended to use some the naming parameters with the command so you can create a screen with a required name and it can be referred to later with that name, specially when there going to be more than one screens and where more than one admins work on one server. This can done using below command :

screen -mdS TransferingXYZDir

The above command will create a screen process in background with name ’TransferingXYZDir’ , you can choose any name. This will not switch the control to the screen session, the control and cursor will remain in the normal shell.

Writing just ‘screen’ will also create a screen session and will also switch the control and cursor to inside the screen session.

You can see the list of available screen processes at any time using the command ‘screen -ls’ as below :

root@CentOS5Server [~]# screen -ls
There is a screen on:
1468.TransferingXYZDir (Detached)
1 Socket in /var/run/screen/S-root.
root@CentOS5Server [~]#

As you can see the screen we just created above is now available in screen -ls , we can create more screen for our specific purpose and then connect to any of the screen and can also move out of any screen, this is called ‘attaching’ and ‘detaching’ from a screen.

You can connect or attach to any screen using below command :

screen -x TransferingXYZDir

If there is only one screen process then typing ‘screen -x‘ will attach you to that screen. When you have more than one screen process you will need to mention its id or name. The screen session created above can also be attached using command ‘screen -x 1468‘.

Detaching from screen requires a below key combination :

‘Ctrl A’ ‘D’

Pressing the three keys in above sequence will detach you from screen.

The screen process can be killed by only pressing ‘Ctrl D‘ or writing ‘exit‘ will also kill/close the active screen process.

The below demo commands will show the screen attaching/detaching and killing commands execution in sequence :

root@CentOS5Server [~]# screen -x TransferingXYZDir
root@CentOS5Server [~]# This is our Screen.
root@CentOS5Server [~]#
[detached]
root@CentOS5Server [~]# screen -x TransferingXYZDir
root@CentOS5Server [~]# This is our Screen.
root@CentOS5Server [~]# exit
[screen is terminating] ( by pressing Ctrl D )
root@CentOS5Server [~]#
Tags : | add comments

Install OpenERP 7.0 for Centos 6.3

Posted by root on Monday Jan 28, 2013 Under Uncategorized

I found this instalation script for OpenERP 7.0 for Centos 6.3 and it saved my day.

 

#!/bin/sh
# Modified script from Carlos E. Fonseca Zorrilla
yum -y install wget unzip
rpm -ivh http://dl.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm
rpm -ivh http://yum.pgrpms.org/9.2/redhat/rhel-6-i386/pgdg-centos92-9.2-6.noarch.rpm
yum -y install python-psycopg2 python-lxml PyXML python-setuptools libxslt-python pytz \
python-matplotlib python-babel python-mako python-dateutil python-psycopg2 \
pychart pydot python-reportlab python-devel python-imaging python-vobject \
hippo-canvas-python mx python-gdata python-ldap python-openid \
python-werkzeug python-vatnumber pygtk2 glade3 pydot python-dateutil \
python-matplotlib pygtk2 glade3 pydot python-dateutil python-matplotlib \
python python-devel python-psutil python-docutils make\
automake gcc gcc-c++ kernel-devel byacc flashplugin-nonfree \
yum -y install postgresql92-libs postgresql92-server postgresql92
service postgresql-9.2 initdb
chkconfig postgresql-9.2 on
service postgresql-9.2 start
su - postgres -c "createuser  --superuser openerp"
cd /tmp
wget http://gdata-python-client.googlecode.com/files/gdata-2.0.17.zip
unzip gdata-2.0.17.zip
rm -rf gdata-2.0.17.zip
cd gdata*
python setup.py install
cd /tmp
adduser openerp
DIR="/var/run/openerp /var/log/openerp"
for NAME in $DIR
do
if [ ! -d $NAME ]; then
mkdir $NAME
chown openerp.openerp $NAME
fi
done
rm -rf openerp*
wget http://nightly.openerp.com/7.0/nightly/src/openerp-7.0-latest.tar.gz
tar -zxvf openerp-7.0-latest.tar.gz  --transform 's!^[^/]\+\($\|/\)!openerp\1!'
cd openerp
python setup.py install
rm -rf /usr/local/bin/openerp-server
cp openerp-server /usr/local/bin
cp install/openerp-server.init /etc/init.d/openerp
cp install/openerp-server.conf /etc
chown openerp:openerp /etc/openerp-server.conf
chmod u+x /etc/init.d/openerp
chkconfig openerp on
service  openerp start</div>
<code> </code>

Original post: http://forum.openerp.com/forum/topic36094.html
Author: Mario Gielissen
www.openworx.nl

Tags : | add comments

Hello world!

Posted by root on Monday Jan 28, 2013 Under Uncategorized

Welcome to WordPress. This is your first post. Edit or delete it, then start blogging!

Tags : | add comments